## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface PartitionFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PartitionFactoryImpl

    public interface PartitionFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `PartitionPackage`

Field Summary
`static PartitionFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`ListRangePartitionItem` `createListRangePartitionItem()` Returns a new object of class 'List Range Partition Item'.
`PartitionNumInSegments` `createPartitionNumInSegments()` Returns a new object of class 'Num In Segments'.
`PartitionSegmentPair` `createPartitionSegmentPair()` Returns a new object of class 'Segment Pair'.
`SybaseASEHashPartition` `createSybaseASEHashPartition()` Returns a new object of class 'Sybase ASE Hash Partition'.
`SybaseASEListPartition` `createSybaseASEListPartition()` Returns a new object of class 'Sybase ASE List Partition'.
`SybaseASEPartition` `createSybaseASEPartition()` Returns a new object of class 'Sybase ASE Partition'.
`SybaseASERangePartition` `createSybaseASERangePartition()` Returns a new object of class 'Sybase ASE Range Partition'.
`SybaseASERoundrobinPartition` `createSybaseASERoundrobinPartition()` Returns a new object of class 'Sybase ASE Roundrobin Partition'.
`PartitionPackage` `getPartitionPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final PartitionFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSybaseASEPartition

    SybaseASEPartition createSybaseASEPartition()

  Returns a new object of class 'Sybase ASE Partition'.

  Returns:
    a new object of class 'Sybase ASE Partition'.

### createSybaseASERangePartition

    SybaseASERangePartition createSybaseASERangePartition()

  Returns a new object of class 'Sybase ASE Range Partition'.

  Returns:
    a new object of class 'Sybase ASE Range Partition'.

### createSybaseASEHashPartition

    SybaseASEHashPartition createSybaseASEHashPartition()

  Returns a new object of class 'Sybase ASE Hash Partition'.

  Returns:
    a new object of class 'Sybase ASE Hash Partition'.

### createSybaseASEListPartition

    SybaseASEListPartition createSybaseASEListPartition()

  Returns a new object of class 'Sybase ASE List Partition'.

  Returns:
    a new object of class 'Sybase ASE List Partition'.

### createSybaseASERoundrobinPartition

    SybaseASERoundrobinPartition createSybaseASERoundrobinPartition()

  Returns a new object of class 'Sybase ASE Roundrobin Partition'.

  Returns:
    a new object of class 'Sybase ASE Roundrobin Partition'.

### createPartitionSegmentPair

    PartitionSegmentPair createPartitionSegmentPair()

  Returns a new object of class 'Segment Pair'.

  Returns:
    a new object of class 'Segment Pair'.

### createPartitionNumInSegments

    PartitionNumInSegments createPartitionNumInSegments()

  Returns a new object of class 'Num In Segments'.

  Returns:
    a new object of class 'Num In Segments'.

### createListRangePartitionItem

    ListRangePartitionItem createListRangePartitionItem()

  Returns a new object of class 'List Range Partition Item'.

  Returns:
    a new object of class 'List Range Partition Item'.

### getPartitionPackage

    PartitionPackage getPartitionPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.